package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 展现类型 (0.普通文本框，1.多行文本框，2.开关，3.块输入框)枚举类
*
* @author zxfei
*/
public enum DisplayTypeEnum {
    普通文本框(0, "普通文本框"),
    多行文本框(1, "多行文本框"),
    开关(2, "开关"),
    块输入框(3, "块输入框");
    private Integer value;
    private String desc;

    DisplayTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static DisplayTypeEnum getByValue(Integer value) {
        for (DisplayTypeEnum displayTypeEnum : DisplayTypeEnum.values()) {
            if (displayTypeEnum.getValue() == value) {
                return displayTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (DisplayTypeEnum item : DisplayTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}